Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Class Class Referenceabstract

Inherited by Object::ClazzObject, and Level::LevelClass.

## Public Member Functions
virtual | ~Class ()
virtual ObjectPtr | newInstance () const
LogString | toString () const
virtual LogString | getName () const =0

## Static Public Member Functions
static const Class & | forName (const LogString &className)
static bool | registerClass (const Class &newClass)

## Protected Member Functions
| Class ()

## Constructor & Destructor Documentation

virtual ~Class | ( |  | ) |
| virtual

Class | ( |  | ) |
| protected

## Member Function Documentation

static const Class& forName | ( | const LogString & | className | ) |
| static

virtual LogString getName | ( |  | ) | const
| pure virtual

Implemented in Object::ClazzObject, and Level::LevelClass.

virtual ObjectPtr newInstance | ( |  | ) | const
| virtual

static bool registerClass | ( | const Class & | newClass | ) |
| static

LogString toString | ( |  | ) | const

The documentation for this class was generated from the following file:

- class.h